
.namespace Map

-- Ce script gère les boutons de la popup d'aide
function OnEnable()
GameVariables.Set('CurrentGamePhase','Closeup')
end

function OnUpdate(dt)
end

function OnDisable()
end



function OnWbpMouseLUp()
	
	
	if self.Name == "Map_area" and UserData.IsEqual("s08_discovered",false) then 
		Map_parent.Enabled =false
		NavigationManager.SwitchTo(nil,"TR_1")
	end
	if self.Name == "Map_2_area" and UserData.IsEqual("s08_discovered",true) then
		Map_parent.Enabled =false
		NavigationManager.SwitchTo(nil,"TR_2")
	end
end


function GetSpecificCursor()
		return 12
end

function OnMouseOff()
	-- OPUnitFactory.GetUnit("Cursor","Cursor").ChangeCursor(0)
end


